Zabbix 2.0.0 Install Script

By jbayer - Last updated: Friday, May 25, 2012 - Save & Share - 12 Comments

So Zabbix 2.0.0 was recently released.  It has a lot of improvements, and I’ve updated my script to install the new version.

Download onto a bare-bones CentOS, Scientific Linux or RHEL install and run it.

The script is also now capable of building and installing the Zabbix Proxy.  One thing, the proxy requires a database, and unless you build it on the proxy system, you will have to manually install the database; I don’t have that in the script yet.

Posted in Bash, Zabbix • • Top Of Page
6,103 views

12 Responses to “Zabbix 2.0.0 Install Script”

Comment from Hayden
Time June 2, 2012 at 11:09 am

This is awesome. Going to check it out right now.

Comment from Karl
Time June 4, 2012 at 8:23 am

Hi, I have test your script last week and it work really well !

But this week when I try to install a new server I have this error.

2012-06-04 09:21:44– ftp://xmlsoft.org/libxml2/libxml2-2.8.0.src.rpm
(try:10) => âlibxml2-2.8.0.src.rpmâ

It seem not able to dowload the package…

Any idea ?

Thnaks

Comment from jbayer
Time June 4, 2012 at 11:57 am

The version of libxml has changed.

Find the line where the version is set, and change the version to the following:

2.8.0-1

Comment from Alan
Time June 4, 2012 at 11:46 am

Excellent, thanks jbayer!

Great work!

Comment from wilfred
Time June 8, 2012 at 4:15 am

Thank you all…. the world would be better with people like you…. you dont know how much we in Africa value your sacrifices (money, time and knowledge) May God bless all of you

Comment from wilfred
Time June 9, 2012 at 11:28 am

I keep getting this error after running the script.

Forbidden

You don’t have permission to access /zabbix/ on this server.

Please what can i do to solve this problem

Comment from wilfred
Time June 9, 2012 at 11:29 am

Forbidden You don’t have permission to access /zabbix/ on this server.

can anyone help me please

Comment from Alan
Time June 12, 2012 at 10:51 am

Wilfred,
Are you getting that error when you put in http://localhost/zabbix, or do you get the log in page and get that error when you try and log in?

If you get the error when you visit the web page and it doesn’t even display a log in area, check the permissions in /usr/local/share/zabbix.. seems that maybe something has permissions of root.

Comment from wilfred
Time June 13, 2012 at 3:07 pm

@Alan I get the error when i try to access http://localhost/zabbix .

thanks in advance

Comment from Alan
Time June 14, 2012 at 11:52 am

Wilfred,
I would check permissions in the /usr/local/share/zabbix directory with an ls -la. Looks like something doesn’t have permissions right. Also backup a directory to the /sur/local/share and see what the permission is on the zabbix directory too.

Comment from adeyang
Time July 23, 2012 at 3:50 am

it doesnt work .
It seem not able to [make install].
Please what can i do to solve this problem

Comment from jbayer
Time July 24, 2012 at 10:05 am

Well, first thing is to make sure you are using the latest version of the script. The script should be version 1.8, and you can get it from the following post: http://linuxnotes.us/archives/587

Second, you need to give me more information:

Distribution (Redhat, CentOS, etc):
Distribution release:
32 or 64 bit:

and whether this was an existing system, or if this was a fresh install.

JBB

Write a comment

asd